
Redmine - Defect #4735

Update from 0.8.7 to 0.9.1

2010-02-04 11:05 - Anonymous

Status: Closed Start date: 2010-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.9.1

Description

Related issues:

Is duplicate of Redmine - Defect #4721: Subprojects list error after redmine ... Closed 2010-02-03

History

#1 - 2010-02-04 11:06 - Anonymous

Processing ProjectsController#index (for 192.168.22.16 at 2010-02-04 11:13:26) [GET]

Parameters: {"action"=>"index", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/index

ActionView::TemplateError (undefined method `<' for nil:NilClass) on line #9 of app/views/projects/index.rhtml:

6:

7: <h2><%=l(:label_project_plural)%></h2>

8:

9: <%= render_project_hierarchy(Projects Projects)%>

10:

11: <% if User.current.logged? %>

12: <p style="text-align:right;">

app/helpers/projects_helper.rb:60:in `render_project_hierarchy'

    app/helpers/projects_helper.rb:59:in `each'

    app/helpers/projects_helper.rb:59:in `render_project_hierarchy'

    app/views/projects/index.rhtml:9:in `_run_rhtml_app47views47projects47index46rhtml'

 Rendering /opt/redmine/redmine-0.9.1/public/500.html (500 Internal Server Error)

Any idea where this problem comes from?

#2 - 2010-02-04 11:07 - Anonymous

root@ruby:/opt/redmine/redmine-0.9.1/log# gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

builder (2.1.2)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

fastthread (1.0.7)

gem_plugin (0.2.3)

holidays (0.9.3)

memcache-client (1.7.7)

mongrel (1.1.5)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

ruby-openid (2.1.7)

rubygems-update (1.3.5)
Plugins:

acts_as_activity_provider  acts_as_event       acts_as_tree       awesome_nested_set  engines        gravatar                redmine_schedules

acts_as_attachable         acts_as_list        acts_as_versioned  classic_pagination  global_filter  open_id_authentication  rfpdf

acts_as_customizable       acts_as_searchable  acts_as_watchable  coderay-0.7.6.227   gloc-1.1.0     prepend_engine_views    ruby-net-ldap-0.0.4

#3 - 2010-02-04 16:28 - Anton Statutov

Have you made all the upgrading steps correctly?

Especially, "Step 4 - Update the database":

rake db:migrate RAILS_ENV=production

 In my opinion, this is related to the subprojects nesting representation in the DB.

#4 - 2010-02-04 16:32 - Anonymous

Yes.

root@ruby:/opt/redmine/redmine-0.9.1# rake db:migrate RAILS_ENV=production

(in /opt/redmine/redmine-0.9.1)

root@ruby:/opt/redmine/redmine-0.9.1#

#5 - 2010-02-04 19:56 - Jean-Philippe Lang

Please try to run:

ruby script/runner -e production 'Project.rebuild!'

#6 - 2010-02-04 19:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

#7 - 2010-02-05 08:27 - Anonymous

- Status changed from Closed to Reopened

Sorry but I have to reopen this ticket. I did what you asked and that didn't work.

I did the following:

root@ruby:/opt/redmine/redmine-0.9.1# mongrel_rails stop

Sending TERM to Mongrel at PID 32673...Done.

root@ruby:/opt/redmine/redmine-0.9.1# ruby script/runner -e production 'Project.rebuild!'

root@ruby:/opt/redmine/redmine-0.9.1# mongrel_rails start -d -e production -p 3000

Some pages are working. Some are not. Mostly pages with an overview of the projects.

I get the following error:

Processing ProjectsController#index (for 192.168.22.16 at 2010-02-05 08:31:56) [GET]

Parameters: {"action"=>"index", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/index

ActionView::TemplateError (undefined method `<' for nil:NilClass) on line #9 of app/views/projects/index.rhtml:

6:

7: <h2><%=l(:label_project_plural)%></h2>

8:

9: <%= render_project_hierarchy(Projects Projects)%>

10:

11: <% if User.current.logged? %>

12: <p style="text-align:right;">

app/helpers/projects_helper.rb:60:in `render_project_hierarchy'

    app/helpers/projects_helper.rb:59:in `each'

    app/helpers/projects_helper.rb:59:in `render_project_hierarchy'

    app/views/projects/index.rhtml:9:in `_run_rhtml_app47views47projects47index46rhtml'

 OR:

Processing AdminController#projects (for 192.168.22.16 at 2010-02-05 08:34:18) [GET]

Parameters: {"action"=>"projects", "controller"=>"admin"}

Rendering template within layouts/admin
Rendering admin/projects

ActionView::TemplateError (undefined method `-' for nil:NilClass) on line #28 of app/views/admin/projects.rhtml:

25:   </tr></thead>

26:   <tbody>

27: <% for project in Projects Projects >

28:   <tr class="<= cycle("odd", "even") > <= css_project_classes(project) >">

29:     <td class="name" style="padding-left: <= project.level >em;"><= project.active? ? link_to(h(project.name), :controller => 'projects', :action =>

'settings', :id => project) : h(project.name) ></td>

30:     <td><= textilizable project.short_description, :project => project ></td>

31:     <td align="center"><= image_tag 'true.png' if project.is_public? %></td>

app/helpers/admin_helper.rb:28:in `css_project_classes'

    app/views/admin/projects.rhtml:28:in `_run_rhtml_app47views47admin47projects46rhtml'

    app/views/admin/projects.rhtml:27:in `each'

    app/views/admin/projects.rhtml:27:in `_run_rhtml_app47views47admin47projects46rhtml'

 Rendering /opt/redmine/redmine-0.9.1/public/500.html (500 Internal Server Error)

root@ruby:/opt/redmine/redmine-0.9.1# gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

builder (2.1.2)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

fastthread (1.0.7)

gem_plugin (0.2.3)

holidays (0.9.3)

memcache-client (1.7.7)

mongrel (1.1.5)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

ruby-openid (2.1.7)

rubygems-update (1.3.5)

Plugins:

root@ruby:/opt/redmine/redmine-0.9.1/vendor/plugins# ls -alo

total 92

drwxr-xr-x 23 1000 4096 2010-01-31 23:42 .

drwxr-xr-x  5 1000 4096 2010-01-30 12:01 ..

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_activity_provider

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_attachable

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_customizable

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_event

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 acts_as_list

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_searchable

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 acts_as_tree

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 acts_as_versioned

drwxr-xr-x  3 1000 4096 2010-01-30 12:00 acts_as_watchable

drwxr-xr-x  5 1000 4096 2010-01-30 12:00 awesome_nested_set

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 classic_pagination

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 coderay-0.7.6.227

drwxr-xr-x  6 1000 4096 2010-01-30 12:00 engines

drwxr-xr-x  5 root 4096 2010-01-30 22:35 global_filter

drwxr-xr-x  7 root 4096 2010-01-31 23:38 gloc-1.1.0

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 gravatar

drwxr-xr-x  6 1000 4096 2010-01-30 12:00 open_id_authentication

drwxr-xr-x  2 1000 4096 2010-01-30 12:00 prepend_engine_views

drwxr-xr-x  9 root 4096 2010-01-31 23:39 redmine_schedules

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 rfpdf

drwxr-xr-x  4 1000 4096 2010-01-30 12:00 ruby-net-ldap-0.0.4

#8 - 2010-02-08 14:38 - Anonymous

Anybody?
#9 - 2010-02-09 03:40 - Eric Davis

- Status changed from Reopened to Closed
